#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
Bridge from nextflow function call to hicstuff's python function for PCR duplicates filtering
"""

import hicstuff.io as hio
from hicstuff.log import logger
from hicstuff.pipeline import filter_pcr_dup
import argparse
import csv

if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument("-i", "--input")
    parser.add_argument("-p", "--prefix")
    parser.add_argument("-o" ,"--output_file")
    args = parser.parse_args()

    input = args.input
    prefix = args.prefix
    output_file = prefix+"_"+args.output_file

    filter_pcr_dup(input, output_file)
