#!/usr/bin/env python3
# coding: utf-8

import hicstuff.io as hio
import argparse
import hicstuff.iteralign as hi

if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument("-r", "--reads")
    parser.add_argument("-t", "--tmp_dir")
    parser.add_argument("-g", "--genome")
    parser.add_argument("-n", "--n_cpu")
    parser.add_argument("-b", "--bam_out")
    parser.add_argument("-m", "--min_qual")
    parser.add_argument("-l", "--read_len")
    args = parser.parse_args()

    reads = args.reads
    tmp_dir = args.tmp_dir
    ref = args.genome
    n_cpu = args.n_cpu
    bam_out = args.bam_out
    min_qual = int(args.min_qual)
    read_len = args.read_len

    if tmp_dir == 'None':
        tmp_dir = hio.generate_temp_dir(tmp_dir)
    if read_len == 'None':
        read_len = None
    else:
        read_len = int(read_len)

    hi.iterative_align(fq_in=reads, tmp_dir=tmp_dir, ref=ref, n_cpu=n_cpu, bam_out=bam_out, min_qual=min_qual, read_len=read_len)
