process BUILD_MATRIX {
    tag "$meta1.id"
    label 'process_high'

    container = "docker.io/lbmc/hicstuff:3.2.3"

    input:
    tuple val(meta1), path(idx_pairs)
    tuple val(meta), path(fragments_list)

    output:
    tuple val(meta), path("${meta1.id}_*"), emit: matrix
    path "*.log", emit: log_file
    path "*.gz", emit: final_pairs

    script:

    def args = task.ext.args ?: ''

    """
    grep -e ^# ${idx_pairs} > ${args}.pre.pairs
    grep -v ^# ${idx_pairs} | sort -S 2G -k8,8n -k9,9n --parallel=1 >> ${args}.pre.pairs
    hicstuff_build_matrix.py -p ${idx_pairs} -f ${fragments_list} -t graal -o ${args}

    pairtools sort ${idx_pairs} --output ${idx_pairs}.gz --c1 chr1 --c2 chr2 --p1 pos1 --p2 pos2 --pt frag1

    mv ${args} ${meta1.id}_${args}
    mv hicstuff_matrix.log hicstuff_${meta1.id}_matrix_sparse.log
    """
}
