process BUILD_MATRIX_COOL {
    tag "$meta1.id"
    label 'process_single'

    container = "docker.io/lbmc/hicstuff:3.2.3"

    input:
    tuple val(meta1), path(idx_pairs)
    tuple val(meta), path(fragments_list)

    output:
    tuple val(meta), path("${meta1.id}_*.cool"), emit: matrix
    path "*.log", emit: log_file

    script:

    def args = task.ext.args ?: ''
    def base = args.replaceFirst(/.txt/,"")

    """
    hicstuff_build_matrix.py -p ${idx_pairs} -f ${fragments_list} -t cool -o ${args}

    mv ${base}.cool ${meta1.id}_${base}.cool
    mv hicstuff_matrix.log hicstuff_${meta1.id}_matrix_cooler.log
    """
}
