process CUTSITE {
    tag "$meta1.id"
    label 'process_high'

    container = "docker.io/lbmc/hicstuff:3.2.3"

    input:
    tuple val(meta1), path(reads1), val(meta2), path(reads2)
    val(digestion)

    output:
    tuple val(meta1), path ("*.fastq"), emit: fastq
    path "versions.yml", emit: versions

    script:
    def args = task.ext.args ?: ''
    def output_for = task.ext.output_for ?: "${meta1.id}_${meta1.chunk}_${meta1.mates}.fastq"
    def output_rev = task.ext.output_rev ?: "${meta2.id}_${meta2.chunk}_${meta2.mates}.fastq"

    """
    hicstuff_cutsite.py -r1 ${reads1} -r2 ${reads2} -e ${digestion} -o1 ${output_for} -o2 ${output_rev} -c ${task.cpus} ${args}
    cat <<-END_VERSIONS > versions.yml
    "${task.process}":
        hicstuff: v3.1.3)
    END_VERSIONS
    """
}

